import{s as M,n as q,o as E}from"../chunks/scheduler.c59d9fbb.js";import{S as R,i as z,g as c,s as u,r as A,A as I,h as f,f as a,c as m,j as $,u as U,x as T,k,y as j,a as r,v as B,d as D,t as G,w as N}from"../chunks/index.a47918e3.js";import{H as V}from"../chunks/Heading.604bc707.js";function J(F){let n,h,g,b,o,w,l,C='🤗 SetFit is an efficient and prompt-free framework for few-shot fine-tuning of <a href="https://sbert.net/" rel="nofollow">Sentence Transformers</a>. It achieves high accuracy with little labeled data - for instance, with only 8 labeled examples per class on the Customer Reviews sentiment dataset, 🤗 SetFit is competitive with fine-tuning RoBERTa Large on the full training set of 3k examples!',v,s,H="Compared to other few-shot learning methods, SetFit has several unique features:",x,d,L='<li>🗣 <strong>No prompts or verbalizers:</strong> Current techniques for few-shot fine-tuning require handcrafted prompts or verbalizers to convert examples into a format suitable for the underlying language model. SetFit dispenses with prompts altogether by generating rich embeddings directly from text examples.</li> <li>🏎 <strong>Fast to train:</strong> SetFit doesn’t require large-scale models like T0, Llama or GPT-4 to achieve high accuracy. As a result, it is typically an order of magnitude (or more) faster to train and run inference with.</li> <li>🌎 <strong>Multilingual support</strong>: SetFit can be used with any <a href="https://huggingface.co/models?library=sentence-transformers&amp;sort=downloads" rel="nofollow">Sentence Transformer</a> on the Hub, which means you can classify text in multiple languages by simply fine-tuning a multilingual checkpoint.</li>',y,i,P='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./tutorials/overview"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Tutorials</div> <p class="text-gray-700">Learn the basics and become familiar with loading pretrained Sentence Transformers and fine-tuning them on data. Start here if you are using 🤗 SetFit for the first time!</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./how_to/overview"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use 🤗 SetFit to solve real-world problems.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./conceptual_guides/setfit"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual guides</div> <p class="text-gray-700">High-level explanations for building a better understanding about important topics such as few-shot and contrastive learning.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./reference/main"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Technical descriptions of how 🤗 SetFit classes and methods work.</p></a></div>',_,p,S;return o=new V({props:{title:"SetFit",local:"setfit",headingTag:"h1"}}),{c(){n=c("meta"),h=u(),g=c("p"),b=u(),A(o.$$.fragment),w=u(),l=c("p"),l.innerHTML=C,v=u(),s=c("p"),s.textContent=H,x=u(),d=c("ul"),d.innerHTML=L,y=u(),i=c("div"),i.innerHTML=P,_=u(),p=c("p"),this.h()},l(e){const t=I("svelte-u9bgzb",document.head);n=f(t,"META",{name:!0,content:!0}),t.forEach(a),h=m(e),g=f(e,"P",{}),$(g).forEach(a),b=m(e),U(o.$$.fragment,e),w=m(e),l=f(e,"P",{"data-svelte-h":!0}),T(l)!=="svelte-r2lb90"&&(l.innerHTML=C),v=m(e),s=f(e,"P",{"data-svelte-h":!0}),T(s)!=="svelte-shg4rg"&&(s.textContent=H),x=m(e),d=f(e,"UL",{"data-svelte-h":!0}),T(d)!=="svelte-17igggb"&&(d.innerHTML=L),y=m(e),i=f(e,"DIV",{class:!0,"data-svelte-h":!0}),T(i)!=="svelte-9yz7o6"&&(i.innerHTML=P),_=m(e),p=f(e,"P",{}),$(p).forEach(a),this.h()},h(){k(n,"name","hf:doc:metadata"),k(n,"content",K),k(i,"class","mt-10")},m(e,t){j(document.head,n),r(e,h,t),r(e,g,t),r(e,b,t),B(o,e,t),r(e,w,t),r(e,l,t),r(e,v,t),r(e,s,t),r(e,x,t),r(e,d,t),r(e,y,t),r(e,i,t),r(e,_,t),r(e,p,t),S=!0},p:q,i(e){S||(D(o.$$.fragment,e),S=!0)},o(e){G(o.$$.fragment,e),S=!1},d(e){e&&(a(h),a(g),a(b),a(w),a(l),a(v),a(s),a(x),a(d),a(y),a(i),a(_),a(p)),a(n),N(o,e)}}}const K='{"title":"SetFit","local":"setfit","sections":[],"depth":1}';function O(F){return E(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends R{constructor(n){super(),z(this,n,O,J,M,{})}}export{Y as component};
